<script>
import pagination from "laravel-vue-pagination";
import { error_message, success_message } from "../../Helper/helper";


  /**
   * Customers component
   */
  export default {
    components: { pagination },
    props:["webOrderingLink"],
    data() {
      return {
          app_icon:"../../../../public/images/sales_channels/logo.jpg",
          google_business_link:"https://order.chatfood.io/g/kake-da-dhaba",
          step1_img:"../../../../public/images/sales_channels/webiste-icn.svg",
          step2_img:"../../../../public/images/sales_channels/customer-app.svg",
          step3_img:"../../../../public/images/sales_channels/driver-app.svg",
          step4_img:"../../../../public/images/sales_channels/restaurant-app.svg",
          playstore_img:"../../../../public/images/sales_channels/playstore.svg",
          appstore_img:"../../../../public/images/sales_channels/appstore.svg",        
          Ios_link:"https://apps.apple.com/in/app/deonde/id1449714698",
          Android_link:"https://play.google.com/store/apps/details?id=com.deonde.ordering",
      };
    }, 
    mounted(){},
    methods:{
        copy_android_link(){
            var Url = this.$refs.android_link;
            Url.innerHTML = this.Android_link;
            Url.select();
            document.execCommand("copy");
            document.getSelection().removeAllRanges();    
            success_message('Copy Successfully');
        },
        copy_web_order_url(){
            var Url = this.$refs.weborder_link;
            Url.innerHTML = this.webOrderingLink;
            Url.select();
            document.execCommand("copy");
            document.getSelection().removeAllRanges();    
            success_message('Copy Successfully');
        },
        copy_ios_url(){
            var ios_Url = this.$refs.ios_link;
            ios_Url.innerHTML = this.Ios_link;
            ios_Url.select();
            document.execCommand("copy");
            document.getSelection().removeAllRanges();    
            success_message('Copy Successfully');
        }
    },
  };

</script>

<template>
    <div>
        <b-container class="bv-example-row p-0">
            <b-row class="text-center">
                <b-col cols="12" class="main_layout p-0">
                    <b-col cols="12">
                    <div class="card app_height">
                        <div class="card-body">
                            <b-container fluid>
                                <b-row class="text-left">
                                    <b-col cols="12">
                                        <h5 class="mt-4"><b-avatar variant="info" :src="app_icon" class="custom_avt"></b-avatar> {{trans.get('__JSON__.Application')}}</h5>                            
                                    </b-col>
                                </b-row>
                                <b-row class="text-left">
                                    <b-col cols="12">
                                        <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 1')}}</h5>
                                        <p>{{trans.get('__JSON__.Copy the Below Link For Website')}}</p>
                                        <div class="d-flex">
                                            <h5><b-alert show variant="primary" style="border-style: dotted;" id="copy_web_order_url" ><input type="text" readonly ref="weborder_link" class="input_clipboard" :value="webOrderingLink">  <i class="fas fa-copy pl-2" @click="copy_web_order_url()"></i></b-alert></h5>
                                            <a :href="'https://'+webOrderingLink" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>
                                        </div>
                                    </b-col>
                                </b-row>
                                <b-row class="text-left">
                                    <b-col cols="12">
                                        <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 2')}}</h5>
                                        <p>{{trans.get('__JSON__.Copy the Below Link For iOS Application')}}</p>
                                        <div class="d-flex">
                                            <h5><b-alert show variant="primary" style="border-style: dotted;" id="copy_ios_url" ><input type="text" readonly ref="ios_link" class="input_clipboard input_clipboard_ios" :value="Ios_link">  <i class="fas fa-copy pl-2" @click="copy_ios_url()"></i></b-alert></h5>
                                            <a :href="Ios_link" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>
                                        </div>
                                    </b-col>
                                </b-row>
                                <b-row class="text-left">
                                    <b-col cols="12">
                                        <h5 class="mt-4 text-left">{{trans.get('__JSON__.Step 3')}}</h5>
                                        <p>{{trans.get('__JSON__.Copy the Below Link For Android Application')}}</p>
                                        <div class="d-flex">
                                            <h5><b-alert show variant="primary" style="border-style: dotted;" id="copy_android_url" ><input type="text" readonly ref="android_link" class="input_clipboard input_clipboard_custome" :value="Android_link">  <i class="fas fa-copy pl-2" @click="copy_android_link()"></i></b-alert></h5>
                                            <a :href="Android_link" target="_blank" class="link-bind"><i class="bx bx-link-external text-white font-size-20"></i></a>
                                        </div>
                                    </b-col>
                                </b-row>
                            </b-container>
                        </div>
                    </div>
                    </b-col>
                </b-col>   
            </b-row>
        </b-container>
    </div>
</template>    
<style scoped>
.input_clipboard {
  width: 370px;
  border: none;
  background: #dde2fa;
  outline: none;
}
.input_clipboard_custome{
    width: 584px!important;
}
.input_clipboard_ios{
    width: 488px!important;
}
.text-btn{
    border: 1px solid black;
    padding: 10px 28px;
    border-radius: 23px;
    color: black;
    text-decoration: none;
    transition: 0.6s;
}
.text-btn:hover{
    background: #ef7342;
    color:white;
    border: #ef7342;
}
.main_layout{
    height: auto;
    /* border-left: 1px solid #ced4da; */
    /* height: 80vh;
    overflow-x: scroll; */
}
.app_height{
    /* height:560px; */
}
.custom_avt{
    width: 26px!important;
    height: 25px!important;
}
.link-bind{
    height: 47px;
    width: 47px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #556ee6;
    margin-left: 10px;
    border-radius: 5px;
}
</style>